For the complete documentation index, see llms.txt. This page is also available as Markdown.

Set whole body

This is a pre-built Action located under the APIs List. The functionality of this Action in Avo Assure is to set the complete body content for the API request.

Note: You set the header (e.g., Content-Type) in the previous steps to ensure the request is formed correctly.

Syntax

Input Value: <Entire Body Content>

Argument
Description

<Entire Body Content> (Required)

Provide the body content which you want to sent in the request. (e.g., JSON body)

Output Value: N/A

Argument
Description

N/A

Not Applicable

Example: Setting the Entire Request Body for a API Call

In this example, we are explaining how to set the complete request body for a API call during API testing.

  • Action: Set whole body

  • Input Value: { "first_name": "john", "last_name": "smith", "phone": "9898787656", "email": "johnsmith@gmail.com", "password": "John@123", "re_password": "John@123" }

    • The input value specifies the complete request payload that should be applied to the API request. The action configures the API to use this body content for subsequent API execution.

  • Output Value: N/A

  • Logical Explanation: The Set whole body action reads the value from the Input Value column ({ "first_name": "john", "last_name": "smith", "phone": "9898787656", "email": "johnsmith@gmail.com", "password": "John@123", "re_password": "John@123" }) and applies it as the entire request body for the API call.

Last updated